<?php

use Behat\Behat\Context\Context;
use Behat\Gherkin\Node\PyStringNode;
use Behat\Gherkin\Node\TableNode;
use \Behat\MinkExtension\Context\MinkContext;
use \Behat\Mink\Element\NodeElement;

/**
 * Defines application features from the specific context.
 */
class FeatureContext extends MinkContext implements Context
{
    /**
     * Initializes context.
     *
     * Every scenario gets its own context instance.
     * You can also pass arbitrary arguments to the
     * context constructor through behat.yml.
     */
    public function __construct()
    {
    }

    /**
     * @BeforeScenario
     */
    public function beforeScenarioResize()
    {
        if ($this->getSession()->getDriver() instanceof \Behat\Mink\Driver\Selenium2Driver)
        {
            $this->getSession()->resizeWindow(1440, 900, 'current');
        }
    }

    /**
     * @When I wait :seconds seconds for request to complete
     *
     * @param mixed $seconds
     */
    public function iWaitSecondsForRedirect($seconds)
    {
        $this->getSession()->wait(
            $seconds * 1000
        );
    }
}
